// 主服务器
// ws 是通信协议

const WebSocket = require('ws')
const ws = new WebSocket.Server({ port: 8089 })

let clients = []
let clientName = 0

ws.on('connection', (client) => {

    client.name = ++clientName
    clients[client.name] = client

    client.on('message', (msg) => {
        console.log(msg)
        console.log(client)
        broadcast(client, msg)
    })

    client.on('close', () => {
        delete clients[client.name]
        console.log(client.name + '离开了')
    })

})

function broadcast(client, msg) {
    for (var i in clients) {
        clients[i].send(client.name + '说：' + msg)
    }
}